/*
 * This Software (C) Copyright David Goodwin, 2008, 2009.
 * 
 *   This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package iasel;

import iasel.data.AreaProfile;
import iasel.gui.GraphicalExceptionHandler;
import iasel.gui.IaselView;
import java.util.ArrayList;
import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class Iasel extends SingleFrameApplication {

    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
        show(new IaselView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
        
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of Iasel
     */
    public static Iasel getApplication() {
        return Application.getInstance(Iasel.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        /*AreaFile af = new AreaFile();
        ArrayList<AreaProfile> apl = af.getProfiles();
        for (AreaProfile ap:apl) {
            System.out.println(ap.toString());
        }*/
        
        //Thread.setDefaultUncaughtExceptionHandler(new DefaultExceptionHandler());
        Thread.setDefaultUncaughtExceptionHandler(new GraphicalExceptionHandler(null,true));
        launch(Iasel.class, args);
    }
}
