/*
 * This Software (C) Copyright David Goodwin, 2008, 2009.
 * 
 *   This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package iasel;

/** Holds some global variables, etc.
 *
 * @author David
 */
public class globals {   
    /** Application version information
     */
    public static final String appName = "IASEL";
    public static final Integer appMajorVersion = 1;
    public static final Integer appMinorVersion = 0;
    public static final Integer appPatchLevel = 0;
    
    /** The location of the application configuration file.
     */
    public static final String settingsFileName = "settings.ini";
    
    /** The location of the area calculation profile file.
     */
    public static final String areaFileName = "area_profiles.ini";
    
    /** This is used to access the area profile information file
     */
    public static final AreaFile areaProfiles = new AreaFile();
    
    /** When TRUE, area calculations will be enabled.
     */
    public static boolean AreaCalcEnable = true;
    
    /** Not allowed to instantitate this */
    protected globals() {
    }
    
    /** Returns the application name string. Something like:
     * "IASEL v1.0-2". The patch level is excluded if its value
     * is set to 0.
     * 
     * @return The application name string.
     */
    public static String getAppNameString() {
        String appString = globals.appName + " v" + 
                globals.appMajorVersion.toString() +
                "." + globals.appMinorVersion.toString();
        if (globals.appPatchLevel != 0) 
            appString += "-" + globals.appPatchLevel.toString();
        return appString;
    }
}
